from metadata.sdk import configurefrom metadata.sdk.entities import APIEndpointsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDep = APIEndpoints.retrieve("1f61427a-4a64-4070-9ac8-1d29302dac7c")print(f"{ep.fullyQualifiedName.root}: {ep.name.root}")# Get by ID with fieldsep = APIEndpoints.retrieve( "1f61427a-4a64-4070-9ac8-1d29302dac7c", fields=["owners", "tags"])# Get by fully qualified nameep = APIEndpoints.retrieve_by_name("sample_api_service.pet.addPet")# Get by name with fieldsep = APIEndpoints.retrieve_by_name( "sample_api_service.pet.addPet", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.APIEndpoint;// client is an initialized OpenMetadataClient.// Get by IDAPIEndpoint ep = client.apiEndpoints().get("1f61427a-4a64-4070-9ac8-1d29302dac7c");// Get by ID with fieldsAPIEndpoint epWithFields = client.apiEndpoints().get( "1f61427a-4a64-4070-9ac8-1d29302dac7c", "owners,tags");// Get by fully qualified nameAPIEndpoint epByName = client.apiEndpoints().getByName( "sample_api_service.pet.addPet");// Get by name with fieldsAPIEndpoint epByNameWithFields = client.apiEndpoints().getByName( "sample_api_service.pet.addPet", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/apiEndpoints/name/sample_api_service.pet.addPet" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/apiEndpoints/name/sample_api_service.pet.addPet?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Retrieve an API endpoint entity by UUID or fully qualified name with optional field expansion for owners, tags, parameters, and metadata using the Collate REST API.
GET
/
v1
/
apiEndpoints
/
{id}
GET /v1/apiEndpoints/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import APIEndpointsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDep = APIEndpoints.retrieve("1f61427a-4a64-4070-9ac8-1d29302dac7c")print(f"{ep.fullyQualifiedName.root}: {ep.name.root}")# Get by ID with fieldsep = APIEndpoints.retrieve( "1f61427a-4a64-4070-9ac8-1d29302dac7c", fields=["owners", "tags"])# Get by fully qualified nameep = APIEndpoints.retrieve_by_name("sample_api_service.pet.addPet")# Get by name with fieldsep = APIEndpoints.retrieve_by_name( "sample_api_service.pet.addPet", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.APIEndpoint;// client is an initialized OpenMetadataClient.// Get by IDAPIEndpoint ep = client.apiEndpoints().get("1f61427a-4a64-4070-9ac8-1d29302dac7c");// Get by ID with fieldsAPIEndpoint epWithFields = client.apiEndpoints().get( "1f61427a-4a64-4070-9ac8-1d29302dac7c", "owners,tags");// Get by fully qualified nameAPIEndpoint epByName = client.apiEndpoints().getByName( "sample_api_service.pet.addPet");// Get by name with fieldsAPIEndpoint epByNameWithFields = client.apiEndpoints().getByName( "sample_api_service.pet.addPet", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/apiEndpoints/name/sample_api_service.pet.addPet" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/apiEndpoints/name/sample_api_service.pet.addPet?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Get a single API endpoint by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the API endpoint to retrieve.
string
Comma-separated list of fields to include, for example owners,tags,extension,domains,sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/apiEndpoints/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the API endpoint, for example sample_api_service.pet.addPet.
string
Comma-separated list of fields to include: owners, tags, extension, domains, sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/apiEndpoints/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import APIEndpointsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# Get by IDep = APIEndpoints.retrieve("1f61427a-4a64-4070-9ac8-1d29302dac7c")print(f"{ep.fullyQualifiedName.root}: {ep.name.root}")# Get by ID with fieldsep = APIEndpoints.retrieve( "1f61427a-4a64-4070-9ac8-1d29302dac7c", fields=["owners", "tags"])# Get by fully qualified nameep = APIEndpoints.retrieve_by_name("sample_api_service.pet.addPet")# Get by name with fieldsep = APIEndpoints.retrieve_by_name( "sample_api_service.pet.addPet", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.APIEndpoint;// client is an initialized OpenMetadataClient.// Get by IDAPIEndpoint ep = client.apiEndpoints().get("1f61427a-4a64-4070-9ac8-1d29302dac7c");// Get by ID with fieldsAPIEndpoint epWithFields = client.apiEndpoints().get( "1f61427a-4a64-4070-9ac8-1d29302dac7c", "owners,tags");// Get by fully qualified nameAPIEndpoint epByName = client.apiEndpoints().getByName( "sample_api_service.pet.addPet");// Get by name with fieldsAPIEndpoint epByNameWithFields = client.apiEndpoints().getByName( "sample_api_service.pet.addPet", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/apiEndpoints/name/sample_api_service.pet.addPet" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/apiEndpoints/name/sample_api_service.pet.addPet?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"